CYR_EXPIRE(8)

NAME
cyr_expire - expire messages and duplicate delivery database entries

SYNOPSIS
cyr_expire [ -C config-file ] -E days [ -v ]

DESCRIPTION
Cyr_expire is used to expire messages and duplicate delivery database entries. The expiration of messages is controlled by the /vendor/cmu/cyrus-imapd/expire mailbox annotation which specifies the age (in days) of messages in the given mailbox that should be deleted. Any duplicate delivery database entries which correspond to the mailbox are also deleted at the same frequency.

The value of the /vendor/cmu/cyrus-imapd/expire annotation is inherited by all children of the given mailbox, so an entire mailbox tree can be expired by seting a single annotation on the root of that tree. If a mailbox does not have a /vendor/cmu/cyrus-imapd/expire annotation set on it (or does not inherit one), then no messages are expired from the mailbox.

Cyr_expire reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

-C config-file
    Read configuration options from config-file.

-E days
    Prune the duplicate database of entries older than days. This value is only used for entries which do not have a corresponding /vendor/cmu/cyrus-imapd/expire mailbox annotation.

-v  Enable verbose output.

FILES

/etc/imapd.conf

SEE ALSO

imapd.conf(5), master(8)